Issue 100303 - cursor position wrong in justified paragraph formatting on Mac
Summary: cursor position wrong in justified paragraph formatting on Mac
Status: ACCEPTED
Alias: None
Product: Writer
Classification: Application
Component: editing (show other issues)
Version: OOO310m5
Hardware: Mac Mac OS X, all
: P3 Normal with 12 votes (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
: 108456 114634 125205 (view as issue list)
Depends on:
Blocks:
 
Reported: 2009-03-18 12:06 UTC by olaf_stetzer
Modified: 2017-05-20 10:44 UTC (History)
12 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: 4.2.0-dev
Developer Difficulty: ---


Attachments
Sorry, here it is... (7.90 KB, application/vnd.oasis.opendocument.text)
2009-03-19 11:26 UTC, michael.ruess
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description olaf_stetzer 2009-03-18 12:06:53 UTC
When a long multi-line paragraph is formatted in block style and one wants to
edit in the middle of the text, the cursor positioning by clicking with a mouse
into the text is wrong and may deviate from the real position by several
characters. This applies also to the visible cursor when moving it with the
cursor keys. 
I think (but may be wrong) that this was not the case for 310_m4 but certainly
not for 3.0.1.

Olaf

(I am not sure if editing or viewing is the correct subcomponent...)
Comment 1 olaf_stetzer 2009-03-18 16:53:02 UTC
As an additional information: T check this bug you need to edit something at the
(wrong) cursor position, then you will realize that somewhere ales in the line a
character is added or deleted but not at the cursor position. This is most
pronounced in lines which are stretched strongly because of long words.

Olaf
Comment 2 michael.ruess 2009-03-19 10:17:07 UTC
MRU->HDU: see attached document. On Mac, the justification is displayed
incorrectly (too much spacing between characters instead of between the words).
Also, when you place the cursor and enter a character is is added in the wrong
position - best to be seen in third line, place it between rs of "hersteller".
No regression, the problem also occurred in OOo 3.0.
Comment 3 hdu@apache.org 2009-03-19 10:38:00 UTC
> see attached document

@mru: which document? there is no document attached yet...
Comment 4 michael.ruess 2009-03-19 11:26:20 UTC
Created attachment 61040 [details]
Sorry, here it is...
Comment 5 hdu@apache.org 2009-03-19 17:26:24 UTC
.
Comment 6 sirrahn 2009-07-16 07:15:42 UTC
Hi I find that the cursor is also sometimes in the wrong position for left
justified text. It is usually off by about on character - so that when editing
text one often deletes the character next to the one that was intended. 
Comment 7 hdu@apache.org 2009-09-18 10:32:31 UTC
Adjusting target to no-showstopper-for-OOo32 status
Comment 8 michael.ruess 2010-01-20 07:56:55 UTC
*** Issue 108456 has been marked as a duplicate of this issue. ***
Comment 9 stefan.baltzer 2010-01-28 10:15:53 UTC
Put myself on CC.
Comment 10 masterx 2010-02-12 21:27:50 UTC
Are there any plans to fix this in an upcoming release (e. g. 3.3)? This is an
very annoying bug and it makes using OOo on Mac a pain. This should have been
fixed in 3.2.
The issue is also reported in 102903 and 108456.
Comment 11 eric.savary 2010-09-21 09:30:46 UTC
*** Issue 114634 has been marked as a duplicate of this issue. ***
Comment 12 sirrahn 2010-09-22 05:11:12 UTC
Just put up issue #114634, which has just been marked as a duplicate of this issue.

In my opinion this should have higher priority. Displaying the cursor in the
wrong place surely is unacceptable? There are a number of basic problems with
the displaying of documents - at least on OSX. 

Comment 13 sirrahn 2010-09-23 13:20:03 UTC
To confirm that this still is a bug in 3.2.1. 
Comment 14 slothro 2010-12-07 12:48:56 UTC
this still is a bug, Dec. 7, 2010
Comment 15 slothro 2011-07-13 08:57:19 UTC
this still is a bug, July 13, 2011. See also bug 114544 (e.g.)
Comment 16 attt13 2013-11-26 16:03:40 UTC
This issue still exists and is still a bug in Mac Apache version 4.0.1 and it is driving me crazy.  

The visual placement of the cursor does not match where actual text insert point.  This occurs in text, calc, and impress as well.

I have tried changing fonts, turning off smart quotes, and anything else I could find to no avail.

This seems to be basic functionality gone awry since I am unable to input text at the correct visual position.  This problem has arisen only recently (2 updates ago) but has survived the recent updates.  I suspect this problem still relates to fonts.

Has anyone been able to implement a workaround?  Identified any new settings to turn off?  I don't have MS Word so does using OO become a penance for that fact?

Please help!
Comment 17 Ariel Constenla-Haile 2014-07-05 16:54:27 UTC
*** Issue 125205 has been marked as a duplicate of this issue. ***
Comment 18 Marcus 2017-05-20 10:44:35 UTC
Reset the assignee to the default "issues@openoffice.apache.org".